Name: openais
Summary: The openais Standards-Based Cluster Framework executive and APIs
Version: 0.80.6
Release: 16%{?dist}.9
License: BSD
Group: System Environment/Base
URL: http://developer.osdl.org/dev/openais/
Source0: http://developer.osdl.org/dev/openais/downloads/openais-%{version}/openais-%{version}.tar.gz
Patch0: openais-0.76-defaultconfig.patch
Patch1: revision-1924.patch
Patch2: revision-1925.patch
Patch3: revision-1926.patch
Patch4: revision-1928.patch
Patch5: revision-1947.patch
Patch6: revision-1951.patch
Patch7: revision-1956.patch
Patch8: revision-1959.patch
Patch9: revision-1998.patch
Patch10: revision-2039.patch
Patch11: revision-2040.patch
Patch12: revision-2044.patch
Patch13: revision-2043.patch
Patch14: revision-2053.patch
Patch15: revision-2054.patch
Patch16: revision-2079.patch
patch17: revision-2081.patch
patch18: revision-2082.patch
Patch19: revision-2089.patch
Patch20: revision-2090.patch
Patch21: revision-2091.patch
Patch22: revision-2092.patch
Patch23: revision-2094.patch
Patch24: revision-2095.patch
Patch25: revision-2096.patch
Patch26: revision-2097.patch
Patch27: revision-2117.patch
Patch28: revision-2121.patch
Patch29: revision-2122-cherrypicked.patch
Patch30: revision-2127-cherrypicked.patch
Patch31: revision-2128-cherrypicked.patch
Patch32: revision-2129-cherrypicked.patch
Patch33: revision-2130-cherrypicked.patch
Patch34: revision-2143.patch
Patch35: revision-2144.patch
Patch36: revision-2145.patch
Patch37: revision-2146.patch
Patch38: revision-2147.patch
Patch39: revision-2149.patch
Patch40: revision-2152.patch
Patch41: revision-2153.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: i386 ppc x86_64 ppc64 ia64 s390 s390x alpha
Requires(pre): /usr/sbin/useradd
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig

%define ais_user_uid	39

%description 
This package contains the openais executive, openais service handlers,
default configuration files and init script.

%package devel
Summary: The openais Standards-Based Cluster Framework libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries and include files used to develop using
openais APIs.

%prep
%setup -q -n openais-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19
%patch20
%patch21
%patch22
%patch23
%patch24
%patch25
%patch26
%patch27
%patch28
%patch29
%patch30
%patch31
%patch32
%patch33
%patch34
%patch35
%patch36
%patch37
%patch38
%patch39
%patch40
%patch41

%build
make CFLAGS="$RPM_OPT_FLAGS" LIBDIR=%{_libdir}/openais LCRSODIR=%{_libexecdir}/lcrso PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make LIBDIR=%{_libdir}/openais DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} LCRSODIR=%{_libexecdir}/lcrso STATICLIBS=NO install
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m 644 CHANGELOG LICENSE SECURITY README.devmap README.amf \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
install -m 755 init/redhat $RPM_BUILD_ROOT%{_initrddir}/openais
install -m 755 test/openais-cfgtool $RPM_BUILD_ROOT%{_sbindir}
install -m 755 test/testconfdb $RPM_BUILD_ROOT%{_sbindir}/openais-confdb-display

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add the "ais" user
/usr/sbin/useradd -c 'openais Standards Based Cluster Framework' \
	-u %{ais_user_uid} -s /sbin/nologin -r -d '/' ais 2> /dev/null || :

%post
/sbin/chkconfig --add openais || :
/sbin/ldconfig > /dev/null

%preun
if [ $1 -eq 0 ]; then
    %{_initrddir}/openais stop &>/dev/null || :
    /sbin/chkconfig --del openais || :
fi

%postun
[ "$1" -ge "1" ] && %{_initrddir}/openais condrestart &>/dev/null || :
/sbin/ldconfig > /dev/null

%files 
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/LICENSE
%doc %{_docdir}/%{name}-%{version}/SECURITY
%doc %{_docdir}/%{name}-%{version}/README.amf
%{_sbindir}/aisexec
%{_sbindir}/ais-keygen
%{_sbindir}/openais-cfgtool
%{_sbindir}/openais-confdb-display
%dir /etc/ais
%config(noreplace) /etc/ais/openais.conf
%config(noreplace) /etc/ais/amf.conf
%config /etc/ld.so.conf.d/openais-*.conf
%{_initrddir}/openais
%dir %{_libexecdir}/lcrso
%{_libexecdir}/lcrso/aisparser.lcrso
%{_libexecdir}/lcrso/objdb.lcrso
%{_libexecdir}/lcrso/service_amf.lcrso
%{_libexecdir}/lcrso/service_cfg.lcrso
%{_libexecdir}/lcrso/service_ckpt.lcrso
%{_libexecdir}/lcrso/service_clm.lcrso
%{_libexecdir}/lcrso/service_cpg.lcrso
%{_libexecdir}/lcrso/service_evs.lcrso
%{_libexecdir}/lcrso/service_evt.lcrso
%{_libexecdir}/lcrso/service_lck.lcrso
%{_libexecdir}/lcrso/service_msg.lcrso
%{_libexecdir}/lcrso/service_confdb.lcrso
%{_libexecdir}/lcrso/vsf_ykd.lcrso
%dir %{_libdir}/openais
%{_libdir}/openais/libais.so*
%{_libdir}/openais/libcpg.so*
%{_libdir}/openais/libevs.so*
%{_libdir}/openais/libcfg.so*
%{_libdir}/openais/libconfdb.so*
%{_libdir}/openais/libSaAmf.so*
%{_libdir}/openais/libSaCkpt.so*
%{_libdir}/openais/libSaClm.so*
%{_libdir}/openais/libSaEvt.so*
%{_libdir}/openais/libSaLck.so*
%{_libdir}/openais/libSaMsg.so*
%{_libdir}/openais/libtotem_pg.so*
%{_mandir}/man8/openais_overview.8*
%{_mandir}/man8/cpg_overview.8*
%{_mandir}/man8/evs_overview.8*
%{_mandir}/man5/openais.conf.5*

%files devel
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/CHANGELOG
%doc %{_docdir}/%{name}-%{version}/README.devmap
%dir %{_includedir}/openais/
%{_includedir}/openais/cpg.h
%{_includedir}/openais/cfg.h
%{_includedir}/openais/evs.h
%{_includedir}/openais/confdb.h
%{_includedir}/openais/saAis.h
%{_includedir}/openais/saAmf.h
%{_includedir}/openais/saCkpt.h
%{_includedir}/openais/saClm.h
%{_includedir}/openais/saEvt.h
%{_includedir}/openais/saLck.h
%{_includedir}/openais/saMsg.h
%dir %{_includedir}/openais/totem/
%{_includedir}/openais/totem/aispoll.h
%{_includedir}/openais/totem/totem.h
%{_includedir}/openais/totem/totemip.h
%{_includedir}/openais/totem/totempg.h
%dir %{_includedir}/openais/lcr/
%{_includedir}/openais/lcr/lcr_ckpt.h
%{_includedir}/openais/lcr/lcr_comp.h
%{_includedir}/openais/lcr/lcr_ifact.h
%dir %{_includedir}/openais/service
%{_includedir}/openais/service/config.h
%{_includedir}/openais/service/objdb.h
%{_includedir}/openais/service/print.h
%{_includedir}/openais/service/swab.h
%{_includedir}/openais/service/service.h
%{_includedir}/openais/service/timer.h
%{_mandir}/man3/cpg_dispatch.3*
%{_mandir}/man3/cpg_fd_get.3*
%{_mandir}/man3/cpg_finalize.3*
%{_mandir}/man3/cpg_initialize.3*
%{_mandir}/man3/cpg_join.3*
%{_mandir}/man3/cpg_leave.3*
%{_mandir}/man3/cpg_mcast_joined.3*
%{_mandir}/man3/cpg_membership_get.3*
%{_mandir}/man3/cpg_local_get.3*
%{_mandir}/man3/cpg_context_get.3*
%{_mandir}/man3/cpg_context_set.3*
%{_mandir}/man3/evs_dispatch.3*
%{_mandir}/man3/evs_fd_get.3*
%{_mandir}/man3/evs_finalize.3*
%{_mandir}/man3/evs_initialize.3*
%{_mandir}/man3/evs_join.3*
%{_mandir}/man3/evs_leave.3*
%{_mandir}/man3/evs_mcast_groups.3*
%{_mandir}/man3/evs_mcast_joined.3*
%{_mandir}/man3/evs_membership_get.3*

%changelog
* Mon Aug 30 2010 Steven Dake <sdake@redhat.com> 0.80.6-18.19
- Resolves: rhbz#60107
- Add upstream revision 2144 - don't reset last_aru when token is retransmitted
- Add upstream revision 2152 - fix merge error with 2144

* Thu Aug 5 2010 Angus Salkeld <asalkeld@redhat.com> 0.80.6-16.8
- Resolves: rhbz#621264
- Add upstream revision 2153 - make openais more resilient to
  delayed multicast packets.

* Fri Jul 30 2010 Steven Dake <sdake@redhat.com> 0.80.6-16.7
- Reverts: rhbz#601077
- Remove upstream revision 2144 - don't reset last_aru when token is
  retransmitted - patch was incomplete

* Tue Jul 27 2010 Steven Dake <sdake@redhat.com> 0.80.6-16.6
- Resolves: rhbz#618766
- Add upstream revision 2147 - Fix problem where CPG_REASON_LEAVE is sent instead of CPG_REASON_PROCDOWN.


* Mon Jul 26 2010 Steven Dake <sdake@redhat.com> 0.80.6-16.5
- Resolves: rhbz#611931
- Add upstream revision 2149 - support compatibility with corosync.

* Tue Jul 6 2010 Steven Dake <sdake@redhat.com> 0.80.6-16.4
- Resolves: rhbz#603615
- Resolves: rhbz#603623
- Add upstream revision 2143 - Avoid problem where library users block forever
   when server fails.
- Add upstream revision 2146 - Fix problem where dispatch returning -1 in
  library functions results in segfaults.


* Tue Jun 22 2010 Steven Dake <sdake@redhat.com> 0.80.6-16.3
- Resolves: rhbz#601077
- Resolves: rhbz#601086
- Add upstream revision 2145 - Resolve problems with failed to receive logic
- Add upstream revision 2144 - don't reset last_aru when token is retransmitted

* Tue May 4 2010 Steven Dake <sdake@redhat.com> 0.80.6-16.2
- Resolves: rhbz#588897
- Resolves: rhbz#588895
- Resolves: rhbz#588628
- Resolves: rhbz#588627
- Add upstream revision 2130 - Resolve problem where ring id is not saved
  and restored when recovery is interrupted.
- Add upstream revision 2129 - Resolve problem where highly lossy networks
  will sigabort (assert) if 512 or more entries are originated in recovery.
- Add upstream revision 2128 - Use proper typing for retransmit token storage
  area.
- Add upstream revision 2127 - Fix stack corruption that happens because of
  invalid length in memmove operation on highly lossy networks.

* Mon Apr 13 2010 Steven Dake <sdake@redhat.com> 0.80.6-16.1
- Resolves: rhbz#577887
- Add upstream revision 2122 - Fix problem that can result in failed to receive state.

* Tue Mar 9 2010 Steven Dake <sdake@redhat.com> 0.80.6-16
- Resolves: rhbz#566467
- Add upstream revision 2121 - Fix lockup in atexit handler registered by
  print.c that occurs less then 1% of the time.  This is resolved by calling
  a special version of log_flush before calling exit, and not relying on the
  atexit handler to call pthread_cond_wait.

* Mon Feb 15 2010 Steven Dake <sdake@redhat.com> 0.80.6-15
- Resolves: rhbz#560313
- Add upstream revision 2117 - fix problem where ipc doesn't differentiate
  between full buffer and empty buffer properly resulting in cpg message
  corruption

* Mon Dec 21 2009 Steven Dake <sdake@redhat.com> 0.80.6-14
- Resolves: rhbz#515590
- Add upstream revision 2097 - Ensure IPC memory is 1mb instead of 477k.
- actually apply patch in spec file.

* Mon Dec 21 2009 Steven Dake <sdake@redhat.com> 0.80.6-13
- Resolves: rhbz#515590
- Add upstream revision 2097 - Ensure IPC memory is 1mb instead of 477k.

* Tue Dec 15 2009 Steven Dake <sdake@redhat.com> 0.80.6-12
- Resolves: rhbz#529054
- Resolves: rhbz#525280
- Resolves: rhbz#519159
- Resolves: rhbz#540267
- Resolves: rhbz#540490
- Resolves: rhbz#544680
- Resolves: rhbz#544682
- Resolves: rhbz#545151
- Resolves: rhbz#547828
- Resolves: rhbz#525280
- Resolves: rhbz#515159
Add upstream revision 2079 - remove segfault from calling saClmTrackStart more then one time.
Add upstream revision 2081 - cpg can use a variable after it is freed.
Add upstream revision 2081 - netmask was being anded with broadcast address, not interface address resulting in invalid binding if netmask was not 255.255.255.x.
Add upstream revision 2089 - originating many messages in recovery results in lockup.
Add upstream revision 2090 - originating many messages in recovery results in lockup.
Add upstream revision 2091 - recovery protocol implementation doesn't reset variable properly.
Add upstream revision 2092 - String buffer overflow can occur if many messsages are originated during recovery.
Add upstream revision 2094 - Remove invalid assertion in totemsrp.

Add upstream revision 2095 - Remove stack overflow within aisexec.
Add upstream revision 2096 - Prevent ckpt iterations from occuring during sync.



* Mon Sep 28 2009 Steven Dake <sdake@redhat.com> 0.80.6-11
- Resolves: rhbz#509180
- Resolves: rhbz#526069
- Resolves: rhbz#474400
- Resolves: rhbz#520164
Add upstream revision 2039 - Remove implicit declartion in code.
Add upstream revision 2040 - Don't segfault with ais group doesn't exist in system. 
Add upstream revision 2043 - Properly shutdown service engines on ctrl-c.
Add upstream revision 2044 - Resolve cpg race condition during synchronization.
Add upstream revision 2054 - Resolve random error code returned by saCkptCheckpointOpen.

* Fri Sep 4 2009 Steven Dake <sdake@redhat.com> 0.80.6-10
- Resolves: rhbz#520012
- Add upstream revision 2053 - Ensure 9000 MTU doesn't assert totemsrp.
- Actually apply patch during build.

* Fri Sep 4 2009 Steven Dake <sdake@redhat.com> 0.80.6-9
- Resolves: rhbz#520012
- Add upstream revision 2053 - Ensure 9000 MTU doesn't assert totemsrp.

* Thu Jun 25 2009 Steven Dake <sdake@redhat.com> 0.80.6-8
- Resolves: rhbz#506119
- Add upstream revision 1998 - Ensure that leaving processors in totempg have
  their assembly state reset.

* Thu Jun 18 2009 Steven Dake <sdake@redhat.com> 0.80.6-7
- Resolves: rhbz#506778
- Add upstream revision 1959 - fix leaking of shared memory objects during
  shutdown of cman.

* Wed Jun 10 2009 Steven Dake <sdake@redhat.com> 0.80.6-4
- Resolves: rhbz#504832
- Add upstream revision 1951 - fix soname linking.

* Mon Jun 8 2009 Steven Dake <sdake@redhat.com> 0.80.6-3
- Resolves: rhbz#504195.
- Add upstream revisoin 1947 - Fix ordering problem with cpg.

* Thu May 21 2009 Steven Dake <sdake@redhat.com> 0.80.6-2
- Resolves: rhbz#501561
- Resolves: rhbz#501337
- Resolves: rhbz#492808
- Resolves: rhbz#497480
- Add upstream revision 1928 - Fix race condition in cpg join/leave operations.
- Add upstream revision 1926 - Adds feature to allow uidgid files to be added
  to /etc/ais directory to allow external users to specify uid and gids to
  access the system.
- Add upstream revision 1925 - Adds feature to allow rolling crypto upgrades
  from openais-0.80.6-2 to corosync.
- Add upstream revision 1924 - Adds feature to use broadcast instead of
  multicast.  To enable this feature, the broadcast: yes option should be
  specified.

* Wed May 13 2009 Steven Dake <sdake@redhat.com> 0.80.6-1
- Resolves: rhbz#494347
- Resolves: rhbz#494035
- Resolves: rhbz#496985
- Resolves: rhbz#497419
- Resolves: rhbz#497420
- Resolves: rhbz#499767
- Fixes problem with cpg_init not returning security error code.
- Fixes problem with not starting redundant ring
- Fixes regression with cluster mirror and in general DOA openais rpm.
- Fix problem where first message is thrown away in new configuration.
- Fixes problem where ipc connect/disconnect in cpg service segfaults aisexec.
- Fixes problem where openais segfaults on ppc64 platforms.

* Fri Mar 13 2009 Steven Dake <sdake@redhat.com> 0.80.5-5
- Resolves: rhbz#490098
- Resolves: rhbz#490099
- Add upstream revision 1753 - Serialize ipc access.
- Add upstream revision 1752 - Remove break from cpgbench.
- Add upstream revision 1750 - Remove pass by value in the ckpt ervice.
- Add upstream revision 1749 - Remoe extra debugging output.
- Add upstream revision 1747 - Fix reference counting problem in ckpt service.

* Tue Mar 10 2009 Steven Dake <sdake@redhat.com> 0.80.5-4
- Resolves: rhbz#487214
- Resolves: rhbz#488095
- Resolves: rhbz#489451
- Add upstream revision 1743 - autogenerated node ids cause CPG not to issue synchronization of the process group information.
- Add upstream revision 1742 - 5.2->5.3 rolling upgrades.
- Add upstream revision 1740 - removes segfault in cpg service when ipc connection disconnects and no groups are joined to the cpg group (ipc regression).
- Add upstream revision 1739 - removes assert in multicast operations under overload.


* Tue Mar 3 2009 Steven Dake <sdake@redhat.com> 0.80.5-3
- Resolves: rhbz#474277
- Resolves: rhbz#477243
- Resolves: rhbz#480684
- Resolves: rhbz#261381
- Add upstream revision 1737-1738 cherrypicked & backported - Fix assertion in totempg usage.
- Add upstream revision 1735 cherrypicked - Allow lib_exit_fn to be called early so that lib_init_fn can use refcounting ipc functions.
- Add upstream revision 1734 cherrypicked - Add IPC refcounting to CPG service.


* Mon Feb 16 2009 Steven Dake <sdake@redhat.com> 0.80.5-2
- Resolves: rhbz#474277
- Resolves: rhbz#477243
- Resolves: rhbz#480684
- Resolves: rhbz#261381
- openais-0.80.5.tar.gz was missing three commits that I expected were in the tarball.
- Add upstream revision 1692 - Add to message size in totempg operation.
- Add upstream revision 1691 - Execute proper list_init operation.
- Add upstream revision 1690 - Execute proper list_del operation.

* Fri Feb 13 2009 Steven Dake <sdake@redhat.com> 0.80.5-1
- Resolves: rhbz#474277
- Resolves: rhbz#477243
- Resolves: rhbz#480684
- Resolves: rhbz#261381
- Add upstream revision 1698 - Complete IPC rewrite.
- Add upstream revision 1697 - BSD compatability patch.
- Add upstream revision 1694 - BSD compatability patch.
- Rebase to 0.80.5 to fix above Red Hat bugzilla IDs.

* Mon Dec 1 2008 Steven Dake <sdake@redhat.com> 0.80.3-22
- Resolves: rhbz#471896
- Add upstream revision 1665 - Compare local address with bindnetaddr properly.
- Add upstream revision 1664 - Use node's full ipv4 address when generating nodeids.
- Add upstream revision 1662 - Fix segfault when user with inappropriate access permissions accessed aisexec.

* Fri Nov 7 2008 Steven dake <sdake@redhat.com> 0.80.3-20
- Resolves: rhbz#441413
- Add upstream revision 1661 - Fix a message lost during delivery which resulted in checkpoing service segfaulting.
- Add upstream revision 1660 - Fix commit token received_flg being incorrect in some rare circumstances.
- Add upstream revision 1659 - Fix rare problem where checkpoint synchronizatoin database could be thrown away.
- Add upstream revision 1655 - Allow 31 bit nodeid's which default to off.

* Mon Sep 22 2008 Steven Dake <sdake@redhat.com> 0.80.3-19
- Resolves: rhbz#442102
- Add upstream revision 1653 - Schedule ipc dispatch thread at same priority as aisexec.
- Add upstream revision 1652 - Remove more signal flooding problems in ipc dispatch thread.
- Add upstream revision 1651 - Remove signal flooding of the ipc dispatch thread.

* Wed Sep 17 2008 Steven dake <sdake@redhat.com> 0.80.3-8
- Resolves: rhbz#444909
- Add upstream revision 1647 - Change log level output of a logging message.
- Add upstream revision 1646 - Add test case.
- Add upstream revision 1645 - Remove ipc deadlock in overload conditions.
- Add upstream revision 1644 - Make lib_exit_fn work properly.
- Add upstream revision 1643 - Remove checkpoint expiration assertions.
- Add upstream revision 1642 - Remove checkpoint close assertion.

* Mon May 19 2008 Steven Dake <sdake@redhat.com> 0.80.3-17
- Resolves: rhbz#400941
- Wrong bugzilla id caused rejection during commit.

* Mon May 19 2008 Steven Dake <sdake@redhat.com> 0.80.3-16
- Resolves: rhbz#400491
- Add upstream revision 1521 - Compile on latest glibc.
- Add upstream revision 1524 - Fix syscall usage in keygen application.
- Add upstream revision 1546 - Fix build for authentication on bsd platforms.
- Add upstream revision 1548 - Fix synchronization of checkpoint global id.

* Tue Apr 1 2008 Steven Dake <sdake@redhat.com> - 0.80.3-15
- Resolves: rhbz#432531
- Add upstream revision 1514 - Remove extra log_printf.
- Add upstream revision 1513 - Remove comparison with zero and replace with comparison with NULL in handle database code.
- Add upstream revision 1512 - Remove early commit of synchronization data when a synchronization in progress is followed by a node leaving or joining the cluster.
- Add upstream revision 1511 - Remove double pthread_mutex_destroy from evt service.
- Add upstream revision 1510 - Remove double pthread_mutex_destroy from evs service.
- Add upstream revision 1509 - Remove double pthread_mutex_destroy from cpg service.
- Add upstream revision 1508 - Remove double pthread_mutex_destroy from clm service.
- Add upstream revision 1507 - Remove double pthread_mutex_destroy from checkpoint service.
* Sat Mar 15 2008 Steven Dake <sdake@redhat.com> - 0.80.3-14
- Resolves: rhbz#432531
- Add upstream revision 1506 - Resolves incomplete checkpoing synchronization when totem queue is full.

* Thu Mar 6 2008 Steven Dake <sdake@redhat.com> - 0.80.3-13
- Resolves: rhbz#432531
- Add upstream revision 1504 - Fixes checkpoint synchronization issue when a new node is started.
- Add upstream revision 1503 - backport -f foreground option.
- Add upstream revision 1502 - Revert revision 1477 which exhibits problems with cman.
- Add revision 1477 - This was reverted in a previous version but cherrypicked.  Now the patch has been applied and reverted in the rpm build process to match upstream.


* Tue Feb 26 2008 Steven Dake <sdake@redhat.com> - 0.80.3-12
- Resolves: rhbz#433839
- Fix problem with cvs not allowing new checkin requires new revision.

* Fri Feb 22 2008 Steven Dake <sdake@redhat.com> - 0.80.3-11
- Resolves: rhbz#429920
- Add upstream revision 1500 - IPC locks up if a POLLERR is returned in certain circumstances.
- Resolves: rhbz#433839
- Add upstream revision 1501 - A mcast is delivered before a join in some circumstances.
* Fri Jan 18 2008 Steven Dake <sdake@redhat.com> - 0.80.3-10
- Resolves: rhbz#249287
- Remove upstream revision 1477 - Exhibits problem with revolver tester

* Tue Jan 15 2008 Steven Dake <sdake@redhat.com> - 0.80.3-9
- Resolves: rhbz#249287
- Add upstream revision 1499 - ipc changes merged into tree

* Tue Jan 15 2008 Steven Dake <sdake@redhat.com> - 0.80.3-8
- Resolves: rhbz#249287
- Add non-merged IPC changes for fixing operation with cluster mirror
- Resolves: rhbz#403901
- Add upstream revision 1498 - enhance openais_exit_error to report string instead of error code
- Resolves: rhbz#309621
- Add upstream revision 1497 - Follow LSB guidelines for initscript
- Add upstream revision 1496 - Revert patch 1480 since it causes problems with cman
- Add upstream revision 1493 - Backport of patch 1379 to remove this_ip and replace with accessor functoins for use by ipc system
- Add upstream revision 1486 - Unlock mutex on error condition of no memory when creating handle
- Add upstream revision 1480 - Endian fixes for the totempg code
- Add upstream revision 1479 - Remove & when regular reference works properly.
- Add upstream revision 1478 - Patch to set system_from properly in retransmitted messages
- Add upstream revision 1473 - Fix pthread_equal for timer_delete operation
- Add upstream revision 1471 - Endian convert cpg downlist messages properly
- Add upstream revision 1469 - change initialDataSize paramter from saUint32gt to SaSizeT to match specifications

* Tue Oct 2 2007 Steven Dake <sdake@redhat.com> - 0.80.3-7
- Resolves: rhbz#216954
- Add upstream revision 1465 - remove fsync call that blocks protocol

* Mon Sep 24 2007 Steven Dake <sdake@redhat.com> - 0.80.3-5
- Resolves: rhbz#302341
- Add upstream revision 1455 - Fix loss of node joins in commit state resulting in looping of membership protocol.
- Add upstream revision 1453 - Fix assertion if component registration occurs during certain phases of instantation.
- Add upstream revision 1450 - Fix reference counting in lcr code so that lcr_ifact_release works properly.
- Add upstream revision 1449 - Allow missing services in synchronization to not cause a segfault.k
- Add upstream revision 1446 - Remove inadvertant commit of changes to totemsrp which happened when security changes were patched in revision 1426.
- Add upstream revision 1426 - Patch to log security warnings when invalid identifier is used in message header for a totem header.

* Tue Aug 28 2007 Steven Dake <sdake@redhat.com> - 0.80.3-4
- Resolves: rhbz#251082
- Add upstream revision 1423 - Fix synchronization defect resulting in segfault.
- This is the fc6 build.
 
* Tue Aug 1 2007 Steven Dake <sdake@redhat.com> - 0.80.3-3
- Resolves: rhbz#209862
- Resolves: rhbz#249506
- Resolves: rhbz#249509
- Resolves: rhbz#247733

* Tue Aug 1 2007 Steven Dake <sdake@redhat.com> - 0.80.3-2
- Resolves: rhbz#209862
- Add upstream revision 1406 - Filter commit token when it is retransmitted.
- Resolves: rhbz#249506
- Add upstream revision 1407 - Reset consensus array on entering operational mode.
- Resolves: rhbz#249509
- Add upstream revision 1408 - Store the ring id information properly when it changes.
- Resolves: rhbz#247733
- Add upstream revision 1409 - Add subtractor to availability of message entries for the totem message queue
- This is the rhel5 version of 0.80.3-0 with some upstream patches.

* Tue Jun 26 2007 Steven Dake <sdake@redhat.com> - 0.80.3-1
- Resolves: rhbz#243119
- Resolves: rhbz#221190
- Resolves: rhbz#224190
- Resolves: rhbz#233892
- Resolves: rhbz#236549
- New upstream version including all previous revisions.
- This is the fc6 version of 0.80.3-1.

* Tue Jun 26 2007 Steven Dake <sdake@redhat.com> - 0.80.3-0
- Resolves: rhbz#243119
- Resolves: rhbz#221190
- Resolves: rhbz#224190
- Resolves: rhbz#233892
- Resolves: rhbz#236549
- New upstream version including all previous revisions.
- This is the rhel5 version of 0.80.3-0.

* Mon Dec 18 2006 Steven Dake <sdake@redhat.com> - 0.80.2-1
- Resolves: rhbz#211357
- This is the rhel5 version of 0.80.2-0.

* Mon Dec 18 2006 Steven Dake <sdake@redhat.com> - 0.80.2-0
- Resolves: rhbz#211357
- New upstream version including all prevision revisions.
- Fixes cpg ordering problem.
- Fixes ia64 unaligned problem.
- This is the fc6 version.

* Tue Dec 5 2006 Steven Dake <sdake@redhat.com> - 0.80.1-22
- Resolves: rhbz#216492
- This is the rhel5 version of 0.80.1-21.

* Tue Dec 5 2006 Steven Dake <sdake@redhat.com> - 0.80.1-21
- Resolves: rhbz#216492
- Add upstream revision 1319 - Increase outbound buffer size to 5000 messages.
- Add upstream revision 1316 - Improvements on segfault logging.
- This is the fc6 version.

* Wed Nov 29 2006 Steven Dake <sdake@redhat.com> - 0.80.1-20
- Resolves: rhbz#216492
- Need new res line to commit.  This is the same as 0.80.1-18.

* Wed Nov 29 2006 Steven Dake <sdake@redhat.com> - 0.80.1-19
- This is the rhel5 version of 0.80.1-18.

* Wed Nov 29 2006 Steven Dake <sdake@redhat.com> - 0.80.1-18
- Add upstream revision 1315 - Fix compile error in libcpg.
- Add upstream revision 1314 - Change rundir to /var/openais.
- Add upstream revision 1313 - Flow control fixes for the CPG service.
- Add upstream revision 1312 - Correct usage of ERR_LIBRARY to SA_AIS_ERR_LIBRARY.
- Add upstream revision 1311 - handle case where POLLHUP and POLLERR are not uspported by OS.
- Add upstream revision 1309 - set default downcheck value to 1000ms.
- Add upstream revision 1308 - Remove invalid code and warnings detected by Intel compiler.
- This is the fc6 version.

* Tue Nov 14 2006 Steven Dake <sdake@redhat.com> - 0.80.1-17
- This is the rhel5 version of 0.80.1-16.

* Tue Nov 14 2006 Steven Dake <sdake@redhat.com> - 0.80.1-16
- Add upstream revision 1307 - Remove flow control compile warning.
- Add upstream revision 1306 - Make clean now really makes clean.
- Add upstream revision 1305 - Set scheduler SCHED_RR to max priority available
  in system.
- Add upstream revision 1300 - Improve behavior of flow control of CPG service
  during configuration changes.
- This is the fc6 version.

* Thu Nov 9 2006 Steven Dake <sdake@redhat.com> - 0.80.1-15
- This is the rhel5 version of 0.80.1-14

* Thu Nov 9 2006 Steven Dake <sdake@redhat.com> - 0.80.1-14
- Add upstream revision 1296 - Remove compile warnings.
- Add upstream revision 1295 - The totem membership protocol was changed to
- Add upstream revision 1294 - modify location of ringid file to
- Add upstream revision 1293 - flush output of debug messages on exit or segv.
  /var/run/openais and chdir here so cores are saved there.
  match specifications.
- This is the fc6 version.

* Fri Nov 3 2006 Steven Dake <sdake@redhat.com> - 0.80.1-13
- Add upstream revision 1286 - Fix checkpoint unlink operation under certain
  conditions.  This is the rhel5 version.

* Fri Nov 3 2006 Steven Dake <sdake@redhat.com> - 0.80.1-12
- Add upstream revision 1286 - Fix checkpoint unlink operation under certain
  conditions.  This is the fc6 version.

* Tue Oct 24 2006 Steven Dake <sdake@redhat.com> - 0.80.1-11
- Add upstream revision 1284 - Initialize variables for checkpoint sync.

* Tue Oct 24 2006 Steven Dake <sdake@redhat.com> - 0.80.1-10
- Add %{?dist} to release field.

* Tue Oct 24 2006 Steven Dake <sdake@redhat.com> - 0.80.1-9
- Add upstream revision 1270 - Resolve IPC segfault.
- Add upstream revision 1271 - Fix errors in ia64 alignment.
- Add upstream revision 1275 - pthread_mutex_destroy cleanup patch.
- Add upstream revision 1276 - Remove debug from makefile committed in revision 1275.
- Add upstream revision 1277 - Formatting changes.
- Add upstream revision 1278 - Patch testckpt to use proper seciton id size.
- Add upstream revision 1279 - Call abort in sync service when processing is interrupted.
- Add upstream revision 1282 - New generation checkpoint state machine.
- Add upstream revision 1283 - Fix memory leaks.

* Wed Oct 18 2006 Steven Dake <sdake@redhat.com> - 0.80.1-8
- Add upstream revision 1268 - Align data in totem delivery on 4 byte
  boundaries for ia64.
- Add upstream revision 1269 - Increase default stack size for IPC connections
  on ia64.

* Mon Oct 16 2006 Steven Dake <sdake@redhat.com> - 0.80.1-7
- Add upstream revision 1267 - rework of checkpoint synchronization.

* Thu Oct 12 2006 Steven Dake <sdake@redhat.com> - 0.80.1-6
- Add upstream revision 1260 - Allocate the retransmission token in
  instance initialize instead of totemsrp_initialize.
- Add upstream revision 1261 - cleanup the way the memb_index variable is
  handled in the commit token.
- Add upstream revision 1262 - Set the ring sequence number according to the
  totem specifications.
- Add upstream revision 1263 - Use the fullset variable instead of he local
  variable j to make easier code reading.
- Add upstream revision 1264 - If the failed_list has zero entries, don't
  add it as an iovector in the join messages.
- Add upstream revision 1265 - Only originate one regular token.

* Mon Oct 9 2006 Steven Dake <sdake@redhat.com> - 0.80.1-5
- Add upstream revision 1256 - remove extra totem debug logging output.
- Add upstream revision 1257 - fix subset operation to repair membership behavior.
- Add upstream revision 1258 - accept commit token in proper circumstances.

* Wed Oct 4 2006 Steven Dake <sdake@redhat.com> - 0.80.1-4
- Add upstream revision 1252 - display members that have left in system log properly.

* Thu Sep 28 2006 Steven Dake <sdake@redhat.com> - 0.80.1-3
- Add upstream revision 1248 - fix more intermittent failures with flow control
  system.

* Wed Sep 27 2006 Steven Dake <sdake@redhat.com> - 0.80.1-2
- Add upstream revision 1246 - fix intermittent failures with flow control
  system.

* Mon Sep 25 2006 Steven Dake <sdake@redhat.com> - 0.80.1-1.1
- Add upstream revision 1223 - Fix checkpoint write size of zero to
  return INVALID_PARAM error code.
- Add upstream revision 1230 - Add missing include for assert.h.
- Add upstream revision 1245 - Add cpgbench tool and better flow control system.
- Move /sbin/ldconfig into regular package from devel package.

* Tue Aug 15 2006 Steven Dake <sdake@redhat.com> - 0.80.1-1.0
- New stable upstream release

* Thu Aug 10 2006 Steven Dake <sdake@redhat.com> - 0.80-1.2
- Move libraries to openais package.
- Add cpg hash collision patch.
- Add makefile install clm patch.

* Tue Aug 8 2006 Steven Dake <sdake@redhat.com> - 0.80-1.1
- New process of tracking any revisions in the upstream stable branch.

* Sun Jul 23 2006 Steven Dake <sdake@redhat.com> - 0.80-1.0
- New upstream release.
- Added openais-cfgtool tool to install.
- Added openais/cfg.h header file.

* Mon Jul 17 2006 Steven Dake <sdake@redhat.com> - 0.79-1.0
- New upstream release.

* Mon Jul 10 2006 Steven Dake <sdake@redhat.com> - 0.78-1.2
- Allow build on s390 and s390x.

* Fri Jul 07 2006 Steven Dake <sdake@redhat.com> - 0.78-1.1
- Allow build on ia64.

* Thu Jul 06 2006 Steven Dake <sdake@redhat.com> - 0.78-1.0
- New upstream release.

* Wed Jun 21 2006 Steven Dake <sdake@redhat.com> - 0.77-1.0
- New upstream release.

* Tue Jun 13 2006 Steven Dake <sdake@redhat.com> - 0.76-1.8
- Readded ExlcusiveArch since build system builds s390 and ia64 which are
  untested.
- Add makefile override patch which fixes build with optflags on x86_64 arch.
- Remove -DOPENAIS_LINUX from passed CFLAGS since it now works properly with
  makefile override patch.

* Tue Jun 13 2006 Steven Dake <sdake@redhat.com> - 0.76-1.7
- Remove ExclusiveArch since all Fedora Core 6 arches have been tested.

* Fri Jun 9 2006 Steven Dake <sdake@redhat.com> - 0.76-1.6
- Move condrestart to %%postun instead of %%post.
- Call initscript directly as suggested by Jesse.

* Thu Jun 8 2006 Steven Dake <sdake@redhat.com> - 0.76-1.5
- Changed BuildRoot tag to match convention specified in Fedora Wiki.
- Removed /sbin/service dependency since it is pulled in from init packages.

* Mon Jun 5 2006 Steven Dake <sdake@redhat.com> - 0.76-1.4
- Moved uid 102 to 39 since uids over 99 are not suitable for core at Bill's
  suggestion.

* Mon Jun 5 2006 Steven Dake <sdake@redhat.com> - 0.76-1.3
- Allocated uid 102 from setup package for user add operation.
- Added || : to initscript stuff so initscript bugs dont cause RPM transaction
  failures as per Paul's suggestion.
- Added /sbin/services to post requires as per Paul's suggestion.
- Removed ldconfig from the requires post for the main package as per Paul's
  suggestion.
- Changed post devel scriptlet action as per Paul's suggestion.

* Thu May 31 2006 Steven Dake <sdake@redhat.com> - 0.76-1.2
- Add user account for AIS applications and authentication.
- Move /etc/ld.so.conf/openais-*.conf to devel package since it is
  only needed there.
- Move ldconfig to devel package.
- Execute condrestart on upgrade

* Fri May 25 2006 Steven Dake <sdake@redhat.com> - 0.76-1.1
- Fix unowned dirs problem.
- Correct make with optflags work properly.
- Move plugins from /usr/lib/openais/lcrso to /usr/libexec/lcrso.
- Remove static archives from RPM.
- Name shared objects in devel package as 1.0.0 instead of 1.0.

* Thu May 24 2006 Steven Dake <sdake@redhat.com> - 0.76-1.0
- New release of openais 0.76.

* Wed May 23 2006 Paul Howarth <paul@city-fan.org> - 0.75-1.1
- Address rpmlint issues during package review (#192889)
- Move docs to associated packages, don't bother with -docs subpackage
- Make -devel package require main package
- Fix Source: and URL: tags
- Fix up Makefile to handle DESTDIR properly
- Honoring %%{optflags} breaks build!

* Wed May 20 2006 Steven Dake <sdake@redhat.com> - 0.75-1.0
- Initial import.
